import request from '@/utils/request'

// 查询股权变更信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrEquityChangeInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询股权变更信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityChangeInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增股权变更信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrEquityChangeInfo',
    method: 'post',
    data: data
  })
}

// 修改股权变更信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrEquityChangeInfo',
    method: 'put',
    data: data
  })
}

// 删除股权变更信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityChangeInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrEquityChangeInfo/delete',ids)
}
